;***************************************************************
; Intel 28F010 128Kx8 Flash Memory Device Equates
; August 18, 2000 - Howard M. Harte, hharte@hartetec.com
;
; Copyright (c) 2000-2001, Howard M. Harte
;***************************************************************


;flash$en        equ     010h

fl$cmd$erase    equ     080h    ; 29F010B
fl$cmd$pgm      equ     0A0h    ; 29F010B
fl$cmd$reset    equ     0F0h    ; 29F010B
fl$cmd$autosel  equ     090h    ; 29F010B

fl$cmd$secerase equ     030h    ; 29F010B Sector Erase Command
fl$cmd$chperase equ     010h    ; 29F010B Chip Erase

;fl$sel          equ     010h    ; bit to select FLASH device in mem map
;fl$wrt$en       equ     020h    ; must be set to write to FLASH,
                                ; otherwise writes propagate thru to
                                ; RAM behind the FLASH.

fl$c1$addr      equ     8555h   ; Address of first command byte
fl$c2$addr      equ     82AAh   ; Address of second command byte
fl$c3$addr      equ     8555h   ; Address of third command byte

fl$c1$data      equ     0AAh    ; Data for first command byte
fl$c2$data      equ     055h    ; Data for second command byte

fl$start$addr   equ     08000h  ; Starting address of FLASH in mem map
FL$START$ODD    equ     0A000h  ; Starting address for ODD blocks.
fl$end$addr     equ     09FFFh  ; ending address of FLASH in mem map

