;Standard drive-parameter block
; Format is same as MS-DOS BIOS

SPEC_1  equ      0      ;"Specify" byte 1
SPEC_2  equ      1      ;"Specify" byte 2
MTROFF  equ      2      ;Wait before stop motor
SECSZE  equ      3      ;Bytes/sector (must be > 0)
EOT     equ      4      ;Final sector no.
GPL     equ      5      ;Gap length
DTL     equ      6      ;Data transfer length
GAPFMT  equ      7      ;Gap-3 length: Format
DATFMT  equ      8      ;Data fill: Format
SETTLE  equ      9      ;Head-settle time (mS)
MTRON   equ     10      ;Motor-start (* 1/8 sec.)
MAXCYL  equ     11      ;Max. cylinder no.
DRATE   equ     12      ;Data rate


OP_FD$RST       equ     0   ;Reset disk system: all drives uncalibrated
OP_FD$MOFF      equ     1   ;Turn motors off (leave drives calibrated)
OP_FD$READ      equ     2   ;Read sector/s
OP_FD$WRITE     equ     3   ;Write sector/s
OP_FD$VRFY      equ     4   ;Verify sector/s
OP_FD$FMT       equ     5   ;Format track
OP_FD$TRAN      equ     6   ;Translate logical address to physical
